Mail archive
alpine-devel

[alpine-devel] [PATCH 11/25] testing/mate-control-center: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:17 +0000

---
 testing/mate-control-center/APKBUILD | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)
diff --git a/testing/mate-control-center/APKBUILD b/testing/mate-control-center/APKBUILD
index 8352041..e34bec9 100644
--- a/testing/mate-control-center/APKBUILD
+++ b/testing/mate-control-center/APKBUILD
_at_@ -2,16 +2,16 @@
 # Maintainer:
 pkgname=mate-control-center
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE's main interface for configuration of various aspects of your desktop"
 url="https://github.com/mate-desktop/mate-control-center"
 arch="all"
 license="GPL2"
 depends="mate-common mate-menus mate-desktop mate-icon-theme desktop-file-utils"
 depends_dev=""
-makedepends="$depends_dev dbus-glib-dev autoconf automake libtool intltool
-	glib-dev itstool gtk+2.0-dev dconf-dev mate-menus-dev libunique-dev
-	marco-dev mate-settings-daemon-dev libmatekbd-dev libxklavier-dev"
+makedepends="$depends_dev dbus-glib-dev libtool intltool itstool gtk+2.0-dev
+	dconf-dev mate-menus-dev libunique-dev marco-dev mate-settings-daemon-dev
+	libmatekbd-dev libxklavier-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -29,7 +29,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:17 GMT